VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Compound (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Compound

    java.lang.Object
      com.bbn.openmap.layer.vpf.VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder
          com.bbn.openmap.layer.vpf.VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Compound

All Implemented Interfaces:
  java.awt.image.ImageObserver

Enclosing class:
  VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder

    protected static class VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Compound

extends VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder
implements java.awt.image.ImageObserver

A Compound FeaturePriorityHolder is used for buoys and other features that have parts added to their representation based on their feature attributes. It contains a list of Basic FeaturePriorityHolders, and each one adds its touch to the resulting OMGraphic as needed.

Author:
  dietrick

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.layer.vpf.VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder
`VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic, VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Compound`

Field Summary
`protected java.awt.image.BufferedImage` | `icon`
`protected java.util.List<VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic>` | `parts`

Fields inherited from class com.bbn.openmap.layer.vpf.VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder
`debugFacc, dim, facc, list, sizePercent, type, xoffPercent, yoffPercent`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`protected` | `VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Compound(java.lang.String type, java.lang.String facc, VPFAutoFeatureGraphicWarehouse warehouse)`

Method Summary
`void` | `add(OMGraphic omg)`
`void` | `addPart(VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic part)`
`boolean` | `imageUpdate(java.awt.Image img, int infoflags, int x, int y, int width, int height)`
`boolean` | `matches(java.lang.String facc, char type, java.lang.String conditions, java.lang.String symbolFileName, java.lang.String size, java.lang.String xoff, java.lang.String yoff)` Used to match symbol codes with PriorityHolder.
`boolean` | `matches(java.lang.String facc, FeatureClassInfo fci, java.util.List<java.lang.Object> row)` Used to match features with PriorityHolder.
`java.lang.String` | `toString()`

Methods inherited from class com.bbn.openmap.layer.vpf.VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder
`getFacc, getList, getValue, resetList, updateLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parts

    protected java.util.List<VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic> parts

### icon

    protected java.awt.image.BufferedImage icon

Constructor Detail

### VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Compound

    protected VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Compound(java.lang.String type,
                                                                            java.lang.String facc,
                                                                            VPFAutoFeatureGraphicWarehouse warehouse)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### addPart

    public void addPart(VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder.Basic part)

### matches

    public boolean matches(java.lang.String facc,
                           FeatureClassInfo fci,
                           java.util.List<java.lang.Object> row)

  Used to match features with PriorityHolder. We need to do a little more work here, to build up an image that matches the all of the attributes set on this feature. So if the feature matches at the first level, walk through the parts and draw on top of it.

  Specified by:
    `matches` in class `VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder`
  Parameters:
    `facc` -
    `fci` -
    `row` -
  Returns:
    true if feature matches conditions of PriorityHolder.

### matches

    public boolean matches(java.lang.String facc,
                           char type,
                           java.lang.String conditions,
                           java.lang.String symbolFileName,
                           java.lang.String size,
                           java.lang.String xoff,
                           java.lang.String yoff)

  Used to match symbol codes with PriorityHolder.

  Specified by:
    `matches` in class `VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder`
  Parameters:
    `facc` -
    `type` -
    `conditions` -
    `size` - percent of dim setting to use for size of symbol (0-1f)
    `xoff` - percent off center of dim setting to use for x origin of symbol (0 is centered, positive is right)
    `yoff` - percent off center of dim setting to use for x origin of symbol (0 is centered, positive is down)
  Returns:
    true if feature matches conditions of PriorityHolder.

### add

    public void add(OMGraphic omg)

  Specified by:
    `add` in class `VPFAutoFeatureGraphicWarehouse.FeaturePriorityHolder`

### imageUpdate

    public boolean imageUpdate(java.awt.Image img,
                               int infoflags,
                               int x,
                               int y,
                               int width,
                               int height)

  Specified by:
    `imageUpdate` in interface `java.awt.image.ImageObserver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details